> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enad.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk remove products from channel

> Removes many products from a channel. IDs that were not members go in `successful` (post-condition idempotent). Unknown product IDs go in `failed`.



## OpenAPI

````yaml /swagger/management-api.json delete /api/v1/{team_slug}/{app_slug}/channels/{channel_id}/products
openapi: 3.0.0
info:
  contact:
    email: support@enad.io
    name: API support
    url: http://enad.io/support
  description: This is the documentation for Public API v1
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://enad.io/terms/
  title: Public API
  version: '1.0'
servers:
  - url: //api.enad.io
security: []
paths:
  /api/v1/{team_slug}/{app_slug}/channels/{channel_id}/products:
    delete:
      tags:
        - Channels
      summary: Bulk remove products from channel
      description: >-
        Removes many products from a channel. IDs that were not members go in
        `successful` (post-condition idempotent). Unknown product IDs go in
        `failed`.
      parameters:
        - description: App slug
          in: path
          name: app_slug
          required: true
          schema:
            type: string
        - description: Team slug
          in: path
          name: team_slug
          required: true
          schema:
            type: string
        - description: Channel ID
          in: path
          name: channel_id
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/internal_pkg_webserver_v1.BulkAddChannelProductMembershipsPayload
        description: Product IDs to remove
        required: true
      responses:
        '200':
          description: Bulk remove result
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/internal_pkg_webserver_v1.OkResponse-internal_pkg_webserver_v1_BulkChannelMembershipResponse
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_pkg_webserver_v1.ErrorMessage'
        '404':
          description: Channel not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_pkg_webserver_v1.ErrorMessage'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_pkg_webserver_v1.ErrorMessage'
      security:
        - BearerAuth: []
components:
  schemas:
    internal_pkg_webserver_v1.BulkAddChannelProductMembershipsPayload:
      properties:
        product_ids:
          items:
            type: string
          minItems: 1
          type: array
      required:
        - product_ids
      type: object
    internal_pkg_webserver_v1.OkResponse-internal_pkg_webserver_v1_BulkChannelMembershipResponse:
      properties:
        data:
          $ref: >-
            #/components/schemas/internal_pkg_webserver_v1.BulkChannelMembershipResponse
        details:
          description: >-
            Additional contextual information about the response. Used to
            provide supplementary details beyond the main data payload, such as
            validation warnings or processing notes
          items:
            type: string
          type: array
        success:
          type: boolean
      type: object
    internal_pkg_webserver_v1.ErrorMessage:
      properties:
        details:
          items:
            type: string
          type: array
        message:
          type: string
        success:
          type: boolean
      type: object
    internal_pkg_webserver_v1.BulkChannelMembershipResponse:
      properties:
        failed:
          items:
            $ref: >-
              #/components/schemas/internal_pkg_webserver_v1.BulkChannelMembershipFailed
          type: array
        successful:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.ChannelProductMembership
          type: array
      type: object
    internal_pkg_webserver_v1.BulkChannelMembershipFailed:
      properties:
        id:
          type: string
        reason:
          type: string
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.ChannelProductMembership:
      properties:
        channel_id:
          type: string
        created_at:
          type: string
        product_id:
          type: string
        status:
          type: string
        status_updated_at:
          type: string
      type: object

````